@echo off

:: Change working directory
set currentScriptDir=%CD%
cd %NZFSCOMMANDDIR%

:: Parse command output 
set driver=
for /f "usebackq tokens=*" %%i in (`private.exe driverfiles root\NZFSD 2^>^&1 ^| findstr /R /I "\\INF\\.*\.inf"`) do set driver=%%i

:: Reset working directory
cd %currentScriptDir%

::echo %driver%
If "%driver%"=="" Goto :NoFound

:: Search the start tag
Set start=\INF
Call :InstrFN "%driver%" "%start%" startTag
::Echo The position of "%start%" is %startTag%
If '%startTag%'=='0' goto :Issue

:: Search the end tag
Set end=[NZFSD
Call :InstrFN "%driver%" "%end%" endTag
::Echo The position of "%end%" is %endTag%
If '%endTag%'=='0' goto :Issue

Set NZFSOEM=
Set /A pos=%startTag%+5
Set /A length=%endTag%-%pos%-1
Call :SubstrFN "%driver%" %pos% %length% NZFSOEM

Exit /B 0
Goto :EOF

:NoFound
:: Echo driver not found
Exit /B -1
Goto :EOF  
  
:Issue
:: Echo Start or Stop tag not found ???
Exit /B -2
Goto :EOF  
  
:: ===============================================================
:InstrFN
Setlocal EnableExtensions EnableDelayedExpansion
echo %1|findstr /I %2>nul
if %errorlevel% EQU 1 (Endlocal & set %3=0& goto :EOF)
set rest_=%1
set /a instr_=0
:_loop
set rest_=%rest_:~1%
echo !rest_!|findstr /I %2>nul
if %errorlevel% EQU 1 (Endlocal & set %3=%instr_%& goto :EOF)
set /a instr_ +=1
goto _loop
:SubstrFN
Setlocal EnableDelayedExpansion
Set pos=%2
Set lenght=%3
Set string=%1
::Get the element between the start tag and the end tag
Set driver=!string:~%pos%,%length%!
Endlocal & Set %4=%driver%

