@echo off

REG ADD "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\NZFSD\Parameters\Device" /v EnableQueryAccessAlignment /t REG_DWORD /d 1 /f

if "%PROCESSOR_ARCHITECTURE%"=="AMD64" goto 64BIT
echo 32-bit OS
set NZFSVARIANCE=x86
goto START

:64BIT
echo 64-bit OS
set NZFSVARIANCE=x64
goto START

:START
sc query NZFSB | FIND /i "NZFSB"
IF ERRORLEVEL 1 goto INSTALLSERVICE
echo Service is already installed! Skipping to driver...
goto INSTALLDRIVERCHECK

:INSTALLSERVICE
call "%~dp0common\NZFSB.exe" -i
IF ERRORLEVEL 1 goto ERROR

:INSTALLDRIVERCHECK
call "%~dp0%NZFSVARIANCE%\private.exe" find root\NZFSD | FIND /i "1"
IF ERRORLEVEL 1 goto INSTALLDRIVER
echo Driver is already installed! Exiting....
goto END

:INSTALLDRIVER
call "%~dp0%NZFSVARIANCE%\private.exe" install "%~dp0NZFS-SAS.inf" root\NZFSD
IF ERRORLEVEL 1 goto ERROR

call "%~dp0helper\wait" 5
sc start NZFSB

call "%~dp0helper\cb.exe"
echo .
echo "Please reboot the system..."
goto END

:ERROR
echo Error = %ERRORLEVEL%

:END

pause
